#-------------------------------------------------
#
# Project created by QtCreator 2011-11-09T15:44:23
#
#-------------------------------------------------

TARGET = appHACDDemo
TEMPLATE = app


# Please EDIT these variables before usage:===============================================================
HACDDEMO_ROOT = "./" # This should be "./" in most cases...
# Root Folders:
BULLET_ROOT = "../../"	# If you placed the HACDDemo folder in "BulletRoot/Demos" this folder shuold be "../../"
HACD_SVN_ROOT =  "/MySVNFolders/HACD"    # Please do not use $$BULLET_ROOT/Extras/HACD (not compatible at the time of writing), but the one from the SVN sourceforge repository.
# Lib Folders:
BULLET_LIB_FOLDER = "../../lib"  # This depends on your configuration. All the Bullet libs should be there (maybe having a wrong version of the HACD library here is not recommended... better rename it in case of problems)
HACD_SVN_LIB_FOLDER =  "/MySVNFolders/HACD/lib" #  This depends on your configuration. Be sure it's the correct HACD SVN version
# ========================================================================================================


SOURCES += $$HACDDEMO_ROOT"/OpenGLEx/btCollisionShapeGarbageCollector.cpp"                      \
        $$HACDDEMO_ROOT"/OpenGLEx/btTriangleMeshEx.cpp"                                         \
        $$HACDDEMO_ROOT"/OpenGLEx/GlutDemoApplicationEx.cpp"                                    \
        $$HACDDEMO_ROOT"/OpenGLEx/GlutStuffEx.cpp"                                              \
        $$HACDDEMO_ROOT"/HACDDemo.cpp"                                                          \
        $$HACDDEMO_ROOT"/main.cpp"                                                              \
        $$HACDDEMO_ROOT"/btHACDCompoundShapeParamsLoader.cpp"

HEADERS  += $$HACDDEMO_ROOT"/OpenGLEx/btCollisionShapeGarbageCollector.h"                       \
            $$HACDDEMO_ROOT"/OpenGLEx/Optionals/btHACDCompoundShape.h"                          \
            $$HACDDEMO_ROOT"/OpenGLEx/btTriangleMeshEx.h"                                       \
            $$HACDDEMO_ROOT"/OpenGLEx/GlutDemoApplicationEx.h"                                  \
            $$HACDDEMO_ROOT"/HACDDemo.h"

INCLUDEPATH += ./                                                                               \
    $$BULLET_ROOT/src                                                                           \
    $$BULLET_ROOT/Demos/OpenGL                                                                  \
    $$BULLET_ROOT/Extras/Serialize                                                              \
    $$HACD_SVN_ROOT/HACD_Lib/inc                                                                \
    $$HACDDEMO_ROOT/OpenGLEx                                                                    \
    $$HACDDEMO_ROOT/OpenGLEx/Optionals

LIBS += -L$$HACD_SVN_LIB_FOLDER                                            \
	-L$$BULLET_LIB_FOLDER                                              \        
    -lHACD                                                                 \
    -lBulletWorldImporter -lBulletFileLoader -lOpenGLSupport               \
    -lBulletSoftBody -lBulletDynamics -lBulletCollision -lLinearMath       \
    -lglut -lGLU -lGL

OTHER_FILES += $$HACDDEMO_ROOT"/BunnyMesh.inl"       \
               $$HACDDEMO_ROOT"/TorusMesh.inl"       \
               $$HACDDEMO_ROOT"/README.txt"

# TESTED ON UBUNTU_64 ONLY (hope it works on windows too).
# Please remember to copy the folder: "appHACDDemoMeshes" to the directory where your exe is before usage.
# In case of problems maybe using directories without spaces could help.


